/*!-------------------------------------------------------------------------------------------------
 - #%L                                                                                            -
 - chvote-pact                                                                                    -
 - %%                                                                                             -
 - Copyright (C) 2016 - 2018 République et Canton de Genève                                       -
 - %%                                                                                             -
 - This program is free software: you can redistribute it and/or modify                           -
 - it under the terms of the GNU Affero General Public License as published by                    -
 - the Free Software Foundation, either version 3 of the License, or                              -
 - (at your option) any later version.                                                            -
 -                                                                                                -
 - This program is distributed in the hope that it will be useful,                                -
 - but WITHOUT ANY WARRANTY; without even the implied warranty of                                 -
 - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                                   -
 - GNU General Public License for more details.                                                   -
 -                                                                                                -
 - You should have received a copy of the GNU Affero General Public License                       -
 - along with this program. If not, see <http://www.gnu.org/licenses/>.                           -
 - #L%                                                                                            -
 -------------------------------------------------------------------------------------------------*/

// screen width under which the sidenav is collapsed
$break-large: 1280px;

$break-small: 1024px;

// minimun screen width of the sidenav content. If the content needs extra space,
// a horizontal scrollbar is provided
$content-min-width-small: 1004px;

@mixin sidenav-content-host() {
  @media (max-width: $break-large) {
    padding-left: 1rem;
    padding-right: 1rem;
    width: 100vw;
  }

  @media (max-width: $break-small) {
    padding-left: 1rem;
    padding-right: 1rem;
    width: 100vw;
    max-width: $content-min-width-small;
  }

  @media (min-width: $break-large) {
    width: 100%;
  }
}

@mixin sidenav-content-component() {
  @media (max-width: $break-large) {
    width: 95%;
    min-width: 960px;
    margin-left: auto;
    margin-right: auto;
  }

  @media (min-width: $break-large) {
    width: 95%;
    margin-left: auto;
    margin-right: auto;
  }
}

